KDE 4.2 PyKDE API Reference

- KDE's Python API

# DBusClient Class Reference

`from PyKDE4.soprano import *`

Inherits: QObject,Soprano::Error::ErrorCache
Namespace: Soprano::Client

## Detailed Description

\class DBusClient dbusclient.h Soprano/Client/DBusClient

Core class to handle a connection to a Soprano server through the DBus interface.

DBusClient creates a connection to a running Soprano Server via its DBus interface. All DBus communication is handled internally.

See DBusModel for details about thread-safety.

Author:
  Sebastian Trueg <trueg@kde.org>

\sa soprano_server_dbus

## Methods

| __init__ (self, QString service=QString(), QObject parent=0)
QStringList | allModels (self)
Soprano.Client.DBusModel | createModel (self, QString name, Soprano.BackendSettings settings=Soprano.Soprano.BackendSettings())
bool | isValid (self)
| removeModel (self, QString name)

## Method Documentation

__init__ | ( | self, |
|  | QString | service=QString(),
|  | QObject | parent=0
| ) |  |  |

Create a new DBus client.

Parameters:

  | service | The DBus service name. If empty the client will use the default Soprano service name.

Parameters:

  | parent | The parent object.

QStringList allModels | ( |  | self ) |

Retrive a list of all models that are available.

Returns:
  A list of model names to be used with createModel()

Soprano.Client.DBusModel createModel | ( | self, |
|  | QString | name,
|  | Soprano.BackendSettings | settings=Soprano.Soprano.BackendSettings()
| ) |  |  |

Creates a new Model instance that wraps a dbus server model.

Parameters:

  | name | The name of the model to access.

Parameters:

  | settings | Settings for future extension. Not used yet.

Returns:
  A new Model instance wrapping the requested server model or 0 on error (check lastError() for details.)

bool isValid | ( |  | self ) |

Check if the service is valid and available.

Returns:
  true if the Soprano server service could be found and used. Otherwise returns false.

removeModel | ( | self, |
|  | QString | name
| ) |  |  |

Deletes a model including all its data.

Parameters:

  | name | The name of the model to remove.

Warning:
  Calling this method will remove all data physically. It can not be reverted. Use with care.